taskkill /IM DummyBAProxy.exe /T /F
taskkill /IM ProxyBACLient.exe /T /F
taskkill /IM ProxyBAServer.exe /T /F
taskkill /IM CheckEnv.exe /T /F

ProxyBAServer.exe /UnRegServer
cscript register_app.vbs -unregister XR_VSS

del /F TsmMSSqlLogTruncation.bat
del /F register_app.vbs
del /F TsmVmwareDpVSS.dll
del /F DummyBAProxy.exe
del /F ProxyBACLient.exe
del /F ProxyBAServer.exe
del /F CheckEnv.exe
del /F VmwareDpVSS*.sf
del /F .\Manifest\*.xml

REG DELETE HKEY_CURRENT_USER\Environment /v TSM_VM_SNAP_STATE /f
REG DELETE HKEY_CURRENT_USER\Environment /v TSM_SQL_LOG_TRUNC_KEY /f
REG DELETE HKEY_LOCAL_MACHINE\SOFTWARE /v TSM_VM_LOG /f

@echo off
echo .
echo Validating COM+ class ID removal
SET RegName="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\COM3\SelfReg\CLSID\{FFDDE664-2E31-4D97-BDB6-FD9E6A318920}"
Reg query %RegName%
if %ERRORLEVEL% EQU 0 (
REG DELETE %RegName% /f 
Reg query %RegName%
if %ERRORLEVEL% EQU 1 (echo failed to delete %RegName%)
) else ( 
echo COM+ registry doesn't exist
)

echo .
echo Validating VSS Provider removal from control set 001
SET RegName="HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\services\VSS\Providers\{5409e1e7-826d-4ab6-9836-af4ffddeb678}"
Reg query %RegName%
if %ERRORLEVEL% EQU 0 (
REG DELETE %RegName% /f 
Reg query %RegName%
if %ERRORLEVEL% EQU 1 (echo failed to delete %RegName%)
) else ( 
echo ControlSet001 Provider registry doesn't exist
)

echo .
echo Validating VSS SW Provider removal from control set 001
SET RegName="HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\services\VSS\Diag\SwProvider_{5409e1e7-826d-4ab6-9836-af4ffddeb678}"
Reg query %RegName%
if %ERRORLEVEL% EQU 0 (
REG DELETE %RegName% /f 
Reg query %RegName%
if %ERRORLEVEL% EQU 1 (echo failed to delete %RegName%)
) else ( 
echo ControlSet001 SWProvider registry doesn't exist
)

echo .
echo Validating VSS Provider removal from current control set
SET RegName="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\VSS\Diag\SwProvider_{5409e1e7-826d-4ab6-9836-af4ffddeb678}"
Reg query %RegName%
if %ERRORLEVEL% EQU 0 (
REG DELETE %RegName% /f 
Reg query %RegName%
if %ERRORLEVEL% EQU 1 (echo failed to delete %RegName%)
) else ( 
echo ControlSet SWProvider registry doesn't exist
)

echo .
echo Validating VSS Provider removal from current control set
SET RegName="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\VSS\Providers\{5409e1e7-826d-4ab6-9836-af4ffddeb678}"
Reg query %RegName%
if %ERRORLEVEL% EQU 0 (
REG DELETE %RegName% /f 
Reg query %RegName%
if %ERRORLEVEL% EQU 1 (echo failed to delete %RegName%)
)else ( 
echo ControlSet Provider registry doesn't exist
)

echo on

net stop vss
net start vss